<?php

$type = array
(
	1 => '无资金管理功能',
	2 => '有资金管理功能',
);

return array
(
	# 表名
	'name' => 'yspay',
	# 显示给用户看的名称
	'lang' => '银商扩展配置',
	'order' => 10,
	'menu' => false,
	# 数据结构
	'struct' => array
	(
	
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'search'	=> 'order',
			'list'		=> true,
		),

		'account_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '所属账户',
			'default' 	=> '1',
			'desc' 		=> '所属账户',
			'match' 	=> 'is_numeric',
			'update'	=> 'hidden',
		),

		'type'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '资金管理类型',
			'default' 	=> '1',
			'desc' 		=> '支付类型',
			'match' 	=> 'is_string',
			'update'	=> 'radio',
			'option'	=> $type,
			'control'	=> 'type',
		),

		'per'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '平台分账百分比-如输入10，就是从总支付金额中分账10%',
			'default' 	=> '10',
			'desc' 		=> '平台分账百分比',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			'show'		=> 'type=2',
		),

		'mid'		=> array
		(
			'type' 		=> 'varchar-200',
			'name' 		=> '平台分账商户号',
			'default' 	=> '',
			'desc' 		=> '平台分账商户号',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'show'		=> 'type=2',
		),

		'card'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '平台分账卡号',
			'default' 	=> '',
			'desc' 		=> '平台分账卡号',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'show'		=> 'type=2',
		),

		'private_file'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '资金管理私钥文件',
			'default' 	=> '',
			'desc' 		=> '资金管理私钥文件',
			'match' 	=> 'is_string',
			'update'	=> 'upload',
			'key'		=> '4',
			'show'		=> 'type=2',
		),

		'private_file_password'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '资金管理私钥文件密码',
			'default' 	=> '',
			'desc' 		=> '资金管理私钥文件密码',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'show'		=> 'type=2',
		),

		'public_file'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '资金管理公钥文件',
			'default' 	=> '',
			'desc' 		=> '资金管理公钥文件',
			'match' 	=> 'is_string',
			'update'	=> 'upload',
			'key'		=> '4',
			'show'		=> 'type=2',
		),

		'sys_id'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '提现系统编号',
			'default' 	=> '',
			'desc' 		=> '提现系统编号',
			'match' 	=> 'is_string',
			'update'	=> 'text',
		),

		'private_key'		=> array
		(
			'type' 		=> 'varchar-2000',
			'name' 		=> '提现私钥',
			'default' 	=> '',
			'desc' 		=> '提现私钥',
			'match' 	=> 'is_string',
			'update'	=> 'textarea',
		),

		'private_key_pkcs1'		=> array
		(
			'type' 		=> 'varchar-2000',
			'name' 		=> '提现PKCS1私钥',
			'default' 	=> '',
			'desc' 		=> '提现PKCS1私钥',
			'match' 	=> 'is_string',
			'update'	=> 'textarea',
		),

		'public_key'		=> array
		(
			'type' 		=> 'varchar-2000',
			'name' 		=> '提现公钥',
			'default' 	=> '',
			'desc' 		=> '提现公钥',
			'match' 	=> 'is_string',
			'update'	=> 'textarea',
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '申请时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'search'	=> 'date',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		
	),
);
